#include "LFOBank.h"

using namespace stk;

LFOBank::LFOBank(unsigned int numLFOs, INewtSettings* set)
{
    _set = set;
    _numLFOs = numLFOs;

    if (numLFOs > 0)
    {
        _lfos = new SineWave[numLFOs];
        _amps = new StkFloat[numLFOs];
    }
}

LFOBank::~LFOBank()
{
    if (_numLFOs > 0)
    {
        delete [] _lfos;
        delete [] _amps;
    }
}

void LFOBank::tick()
{
    for (unsigned int i = 0; i < _numLFOs; i++)
    {
        _lfos[i].tick();
    }
}

StkFloat LFOBank::getVal(unsigned int idx) const
{
    if (idx < _numLFOs) return _lfos[idx].lastOut();
    return 0.0;
}
